#!/bin/bash

###
# Update apeman-app-contrib-servestatic.
###

HERE=$(cd "$(dirname $0)" && pwd)
BASE_DIR=$(cd "${HERE}/.." && pwd)

cd ${BASE_DIR}

# Re-install dependencies.
npm uninstall argx async objnest serve-static  --save
npm install argx async objnest serve-static  --save

# Re-install dev dependencies.
npm uninstall apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official injectmock mkdirp  --save-dev
npm install apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official injectmock mkdirp  --save-dev
