#!/usr/bin/env node

/**
 * Test for index.js
 * Runs with nodeunit.
 */

"use strict";

var defineApp = require('./index.js');

var context = {
    logger: {
        info: function () {
        },
        debug: function () {
        }
    }
};

exports['Create an app'] = function (test) {
    var app = defineApp('foo', 'bar', {
        extensions: ['html']
    });
    test.equal(app.length, 2);
    test.done();
};

