/**
 * apeman app contribution plugin to server static files.
 * @module apeman-app-contrib-servestatic
 * @see https://github.com/apeman-repo/apeman
 * @see https://www.npmjs.com/package/serve-static
 */

"use strict";

/**
 * Serve static files from within a given root directory.
 * @function apemanAppContribServestatic
 * @param {string} root - Root directory path..
 * @param {object} options - Optional setting.
 * @param {string} [options.dotfiles='ignore']- How to treat dotfiles. 'allow', 'deny', or 'ignore'..
 * @param {string} [options.etag=true]- Enable or disable etag generation..
 * @param {string} [options.extensions=false]- Set file extension fallbacks..
 * @param {function} [callback] - Callback when done.
 */
module.exports = require('./define');
